import { NgModule, ErrorHandler } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { IonicApp, IonicModule, IonicErrorHandler } from 'ionic-angular';
import { HttpModule } from '@angular/http';
import { MyApp } from './app.component';
// import 'syncfusion-javascript/Content/ej/default.css';
import * as $ from 'jquery';
window['jQuery'] = $;
window['$'] = $;
import { EJAngular2Module } from 'ej-angular2';
import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';

import { LineChartPage } from '../pages/chart/line';

@NgModule({
  declarations: [
    MyApp,
    LineChartPage
  ],
  imports: [
    BrowserModule,
    IonicModule.forRoot(MyApp),
     EJAngular2Module.forRoot(),
     HttpModule
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
   LineChartPage
  ],
  providers: [
    StatusBar,
    SplashScreen,
    {provide: ErrorHandler, useClass: IonicErrorHandler},
  ]
})
export class AppModule {}