import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {NorthwindService } from '../../providers/northwind-service/northwind-service';
declare var ej: any;

@Component({
  selector: 'page-grid',
  templateUrl: 'export.html',
    providers: [NorthwindService]
})
export class GridExportPage {
    public gridData;
  constructor(public navCtrl: NavController,public northwindService: NorthwindService) {
        this.gridData = northwindService.getOrders();
    }     
    public pdf="http://js.syncfusion.com/demos/ejservices/api/Grid/PdfExport";
    public excel="http://js.syncfusion.com/demos/ejservices/api/Grid/ExcelExport";
    public word="http://js.syncfusion.com/demos/ejservices/api/Grid/WordExport";
    public toolbarsettings={ showToolbar: true, toolbarItems: [ej.Grid.ToolBarItems.ExcelExport, ej.Grid.ToolBarItems.WordExport, ej.Grid.ToolBarItems.PdfExport] };
}